# Uses of Interface
org.eclipse.team.core.mapping.IStorageMerger

Packages that use IStorageMerger
Package
Description
org.eclipse.team.core
Application programming interfaces for defining and working with repository providers.
org.eclipse.team.core.mapping
Application programming interfaces for working with resource mappings.

## Uses of IStorageMerger in org.eclipse.team.core

Methods in org.eclipse.team.core that return IStorageMerger
Modifier and Type
Method
Description
`static IStorageMerger`
Team.`createMerger(String extension)`
Creates a storage merger for the given file extension.
`static IStorageMerger`
Team.`createMerger(IContentType type)`
Creates a storage merger for the given content type.
`IStorageMerger`
Team.`createStorageMerger(String extension)`
Deprecated.
Use `Team.createMerger(String)` instead.
`IStorageMerger`
Team.`createStorageMerger(IContentType type)`
Deprecated.
Use `Team.createMerger(IContentType)` instead.

## Uses of IStorageMerger in org.eclipse.team.core.mapping

Classes in org.eclipse.team.core.mapping that implement IStorageMerger
Modifier and Type
Class
Description
`class`
`DelegatingStorageMerger`
This storage merger delegates to the appropriate merger or returns a conflict if no merger is available or if a merge was not possible.
Methods in org.eclipse.team.core.mapping that return IStorageMerger
Modifier and Type
Method
Description
`protected IStorageMerger`
DelegatingStorageMerger.`createDelegateMerger(IStorage target)`
Create a merger for the given storage or return `null` if an appropriate merger could not be created.
`static IStorageMerger`
DelegatingStorageMerger.`createTextMerger()`
Return the storage merger associated with the `IContentTypeManager.CT_TEXT` content type.
`static IStorageMerger`
DelegatingStorageMerger.`getInstance()`
Helper method that returns a singleton instance that can be used to merge two `IStorage` instances.